import logging

from dict_tools import trim

log = logging.getLogger(__name__)


class TestTrim:
    def setup_method(self):
        self.old_dict = {"a": "b", "c": "x" * 10000}
        self.new_dict = {"a": "b", "c": "VALUE_TRIMMED"}

    def test_trim_dict(self):
        ret = trim.trim_dict(self.old_dict, 1000)
        assert ret == self.new_dict


class TestRecursiveTrim:
    def setup_method(self):
        self.old_dict = {"a": {"b": 1, "c": 2, "e": "x" * 10000, "f": "3"}}
        self.new_dict = {"a": {"b": 1, "c": 2, "e": "VALUE_TRIMMED", "f": "3"}}

    def test_trim_dict(self):
        ret = trim.trim_dict(self.old_dict, 1000)
        assert ret == self.new_dict
